TIFFFIELDNAME(3tiff)

NAME
TIFFFieldName - get TIFF field name from field information

SYNOPSIS

#include <tiffio.h>

const char *TIFFFieldName(const TIFFField *fip)

DESCRIPTION

TIFFFieldName() returns the textual name for a TIFF field. fip is a field information pointer previously returned by TIFFFindField(), TIFFFieldWithTag(), or TIFFFieldWithName().

RETURN VALUES

TIFFFieldName() returns a constant C string.

SEE ALSO

TIFFFieldDataType (3tiff), TIFFFieldPassCount (3tiff), TIFFFieldQuery (3tiff), TIFFFieldReadCount (3tiff), TIFFFieldTag (3tiff), TIFFFieldWriteCount (3tiff), libtiff (3tiff)

AUTHOR
LibTIFF contributors

COPYRIGHT
1988-2025, LibTIFF contributors